GDB (xrefs)

Public Attributes | List of all members
memory_write_request Struct Reference

`#include "target.h"`

## Public Attributes
ULONGEST | begin
ULONGEST | end
gdb_byte * | data
void * | baton

## Detailed Description

Definition at line 1468 of file target.h.

## Member Data Documentation

## ◆ baton

void* memory_write_request::baton

Definition at line 1477 of file target.h.

Referenced by clear_memory_write_data(), load_section_callback(), and target_write_memory_blocks().

## ◆ begin

ULONGEST memory_write_request::begin

Definition at line 1471 of file target.h.

Referenced by claim_memory(), compare_block_starting_address(), load_section_callback(), target_write_memory_blocks(), and VEC().

## ◆ data

gdb_byte* memory_write_request::data

Definition at line 1475 of file target.h.

Referenced by claim_memory(), cleanup_request_data(), clear_memory_write_data(), load_section_callback(), and target_write_memory_blocks().

## ◆ end

ULONGEST memory_write_request::end

Definition at line 1473 of file target.h.

Referenced by claim_memory(), load_section_callback(), target_write_memory_blocks(), and VEC().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/target.h